updates to replace kernel 4.0

Matthias Klumpp matthias at tenstral.net
Wed Mar 16 06:07:54 EDT 2016


2016-03-15 18:27 GMT+01:00 Chris <ca2013 at arcor.de>:
> Am Sat, 12 Mar 2016 12:37:18 +0100
> schrieb Chris <ca2013 at arcor.de>:
>
>> Does the 4.0 kernel have the severe data corruption bug in the raid
>> driver?
>> http://hardware.slashdot.org/story/15/05/21/1324229/linux-40-has-a-file-system-corruption-problem-raid-users-warned
>
> Ok, according to
> https://www.phoronix.com/scan.php?page=news_item&px=Linux-4-EXT4-RAID-Issue-Found
> the fix to the issue was the commit
> http://git.neil.brown.name/?p=md.git;a=commitdiff;h=a81157768a00e8cf8a7b43b5ea5cac931262374f
>
> The debian changelog says it has made it into the Tanglu Version C
> Kernel: md/raid0: fix restore to sector variable in raid0_make_request
>     (Closes: #786372) (regression in 4.0.2)

Jup, we patched this issue in our previous 4.0 kernel in chromodoris,
and meanwhile Chromodoris contains kernel 4.3.3, as backport by
default.
So you should be safe on that bug :-)
Cheers,
    Matthias


-- 
Debian Developer | Freedesktop-Developer
I welcome VSRE emails. See http://vsre.info/


More information about the Tanglu-devel mailing list